> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get User Canned Responses >
Enterprise
Get a list of all canned responses in the workspace that belong to the current user scope. Permission required: `view-canned-responses` ### Changelog | Version | Description | | ------------ | ------------| |1.0.0 | Added | ## OpenAPI ````json GET /api/v1/canned-responses.get { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/canned-responses.get": { "get": { "tags": [ "Canned Responses" ], "summary": "Get User Canned Responses", "description": "
\"Enterprise\"
\n\nGet a list of all canned responses in the workspace that belong to the current user scope.\n\nPermission required: `view-canned-responses`\n\n### Changelog\n| Version | Description |\n| ------------ | ------------|\n|1.0.0 | Added |", "operationId": "get-api-v1-canned-responses.get", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "responses": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "shortcut": { "type": "string" }, "text": { "type": "string" }, "scope": { "type": "string" }, "departmentId": { "type": "string" }, "createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_createdAt": { "type": "string" }, "_updatedAt": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "responses": [ { "_id": "6470086ba8c3a3ba32d0fb1b", "shortcut": "department-checking", "text": "This is check test for departmental canned response", "scope": "global", "departmentId": "64181a0728384134ed600dcc", "createdBy": { "_id": "2tTEqR7ZNMJ4HGGNa", "username": "testroxie" }, "_createdAt": "2023-05-26T01:16:27.848Z", "_updatedAt": "2023-05-26T01:16:27.848Z" }, { "_id": "647009e1a8c3a3ba32d0fb1f", "shortcut": "admin-checking", "text": "This is check test for departmental canned response", "scope": "department", "departmentId": "64181a0728384134ed600dcc", "createdBy": { "_id": "rbAXPnMktTFbNpwtJ", "username": "kim.jane" }, "_createdAt": "2023-05-26T01:22:41.104Z", "_updatedAt": "2023-05-26T01:22:41.104Z" }, { "_id": "647009fba8c3a3ba32d0fb21", "shortcut": "admin-checking3", "text": "This is check test for departmental canned response", "scope": "global", "departmentId": "64181a0728384134ed600dcc", "createdBy": { "_id": "rbAXPnMktTFbNpwtJ", "username": "doe.john" }, "_createdAt": "2023-05-26T01:23:07.374Z", "_updatedAt": "2023-05-26T01:23:07.374Z" } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } }, "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": false, "error": "unauthorized" } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````